#include "TagShort.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagShort::TagShort(const qint16 value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagShort::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
    return true;
}
bool const TagShort::writePayloadToData(QDataStream &data) const {
    data << qToBigEndian(m_value);
    return true;
}