#include "TagFloat.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagFloat::TagFloat(const float value) : AbstractNamedTag(ID), m_value(value) {}

bool const TagFloat::readPayloadFromData(QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
    return true;
}
bool const TagFloat::writePayloadToData(QDataStream &data) const {
    data << qToBigEndian(m_value);
    return true;
}